package zoltan.vari.spotify_mixer_discord_bot;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.client.RestTemplate;

@SpringBootApplication
@ComponentScan(basePackages ="zoltan.vari.spotify_mixer_discord_bot")
public class SpotifyMixerDiscordBotApplication {

	public static void main(String[] args) {
		SpringApplication.run(SpotifyMixerDiscordBotApplication.class, args);
	}

	@Bean
	public RestTemplate restTemplate() {
		return new RestTemplate();
	}

}
